//file created by SamuelT
// VK added shader iso support.
#version unofficial MegaPov 0.6;

camera {
	location <0, 5, -10>
	look_at <0, 0, 0>
	angle 35
	rotate y*-45
}

light_source { <100, 200, -50> rgb 1.2 }

#declare MShader = 1;

#if (MShader)
#declare myfunc =function{
    shader{
        shader_file "myfunc.slp"
    }
}
#declare mycol =function{
    shader{
        shader_file "mycol.slp"
    }
}

#else
#declare myfunc = function{
    sqr (x+sin(z*2))+y^2+0.5
}
#declare mycol = function {
    sqr(x+sin(z*2))+y^2+0.49
}
#end

isosurface {
	function {myfunc}
	contained_by { box {<-2, -1, -4>, <2, 0, 4> } }
	sign 1
	threshold 1
	pigment {
		function {mycol}
		frequency 8
		color_map { [0 rgb <0.3, 0.3, 0.15> ] [1 rgb <0.9, 0.9, 0.8> ] }
	}
	finish { phong 1 }
}
