#include "colors.inc"

#version unofficial MegaPov 0.7;
global_settings{

max_trace_level 50
}

background{
    color SkyBlue//<0,0,1>
}

camera {
    location  <0.1, 0, -20>
    direction <0, 0,  1>
    up        <0, 1,  0>
    right   <4/3, 0,  0>
    look_at   <0, 0, 0>
    angle 90
}

#declare lsourceP=<-100, 1400, 100>;
#declare lsourceC=color rgb <0.95,0.91,1.0>;
light_source{
    lsourceP
    color lsourceC
}

plane{
  z, 1000
  texture{
    pigment{                                                                      
      color SkyBlue
    }       
    finish{
      ambient 1
      diffuse 0
    }
  }
}


#declare cloud_tex=texture{
    pigment{
      shader{
        shader_file "vkfcloud.slp"
        shadow_type no_shadow
        "Kd" 1
        "Cs" lsourceC
        "freq" 0.4
        "octaves" 15   
        "lacunarity" 4
        "gain" 0.5
        "lsource" lsourceP
        "As" <0.84,0.81,1>
        "Ka" 0.3       
        "stepcount" 10
      }
    }
    finish{
      ambient 1
      diffuse 0
    }    
}


#declare tryit = 1;
plane{
      <0,1,0>, 2.0
      texture{
        #if (tryit)
        cloud_tex
        #else
          pigment{
            color rgb <1,0,0>
          }
        #end 
        scale <3,1,3>
      }           
      scale <5,2,4>
      translate <0,0,-80>
      rotate x*30
}  

